Subject: mistaken reference to "unsafe" in RFC 2616

From: "Roy T. Fielding" <[email-masked]>
Date: Fri, 10 Sep 1999 19:36:37 -0700

Actually, RFC 2616 should have said simply

    Characters other than those in the "reserved" set (see RFC 2396 [42])
    are equivalent to their ""%" HEX HEX" encoding.

The reason being that excluded characters will not appear in a valid URI,
and thus it doesn't matter if encoded excluded characters might
mistakenly be compared equal to their non-encoded character.

Thanks for the report,

....Roy

In message <[email-masked]>,
Anders Edenbrandt writes:
>
>Hello,
>
>In the latest HTTP standard (RFC 2616), in section 3.2.3 "URI Comparison",
>it says:
>	Characters other than those in the "reserved" and "unsafe" sets (see
>   	RFC 2396 [42]) are equivalent to their ""%" HEX HEX" encoding.
>
>However, RFC 2396 has no definition of a character set called "unsafe".
>The former HTTP standard (RFC 2068) makes this definition:
>
>	unsafe         = CTL | SP | <"> | "#" | "%" | "<" | ">"
>
>Is this the character set you mean? Or is it all the characters mentioned
>in section 2.4.3 "Excluded US-ASCII Characters" in RFC 2396? That is,
>in addition to the characters above also the following:
>
>	unwise      = "{" | "}" | "|" | "\" | "^" | "[" | "]" | "`"
>
>
>I would be grateful for a clarification on this point.
>
>Yours sincerely,
>
>Anders Edenbrandt, Ph.D.
>
>***
>Anders Edenbrandt
>AU-System Radio AB
>SE-223 70  Lund, SWEDEN
>Phone: +46-46-286 32 36, Fax: +46-46-286 56 20
>Mobile: +46- 705-37 32 36
>mailto:[email-masked] , http://www.ausys.se

---

From: "Larry Masinter" <[email-masked]>
Date: Fri, 10 Sep 1999 22:36:48 PDT

I think this belongs in the errata
 (http://purl.org/NET/http-errata).

> -----Original Message-----
> From: Roy T. Fielding [mailto:[email-masked]]
> Sent: Friday, September 10, 1999 7:37 PM
> To: Anders Edenbrandt
> Cc: [email-masked]
> Subject: mistaken reference to "unsafe" in RFC 2616
> 
>